# Get User Details

## Get the details of the user.

<mark style="color:blue;">`GET`</mark> `{API_URL}/client/userDetail`

Auth required: YES

Please pass your API key as the username and API secret as the password as Basic Auth to access the endpoint

#### Query Parameters

| Name            | DataType | Description                                                                                                                                            | Type     |
| --------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ | -------- |
| from            | string   | Start date-time for filtering users (ISO 8601 format)                                                                                                  | Optional |
| to              | string   | End date-time for filtering users (ISO 8601 format)                                                                                                    | Optional |
| email           | string   | emailId of the user                                                                                                                                    | Optional |
| signUpOriginUrl | string   | The URL from where the user has come.                                                                                                                  | Optional |
| userId          | string   |                                                                                                                                                        | Optional |
| gender          | string   | User's gender (Allowed values: MALE, FEMALE, OTHERS)                                                                                                   | Optional |
| dateOfBirth     | string   | dob of the user                                                                                                                                        | Optional |
| pageNumber      | integer  | <p>It indicates the current page of results that the client is requesting from a larger dataset.</p><p>Default value is 10 Records in 1 pageNumber</p> | Optional |
| pageSize        | integer  | Total records that you want to show in a page no.                                                                                                      | Optional |
| phone           | string   | phone no. of the user                                                                                                                                  | Optional |
| googleId        | string   |                                                                                                                                                        | Optional |
| appleId         | string   |                                                                                                                                                        | Optional |
| facebookId      | string   |                                                                                                                                                        | Optional |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "data": [
        {
            "id": "67eca0ef9481efeabeb51368",
            "name": "Shivam Dubey",
            "email": "shivamdubey@conscent.ai",
            "shippingAddress": [],
            "billingAddress": [],
            "userAddress": {
                "name": "",
                "apartment": "",
                "area": "",
                "pincode": "",
                "landmark": "",
                "city": "",
                "state": "",
                "country": ""
            },
            "countryCode": "+91",
            "gender": "MALE",
            "dateOfBirth": "2025-04-01T00:00:00.000Z",
            "isPhoneVerified": false,
            "isEmailVerified": true,
            "hasPassword": false,
            "accessMethod": {
                "otp": false,
                "password": true
            },
            "createdAt": "2025-04-02T02:29:03.509Z",
            "updatedAt": "2025-04-29T15:28:22.514Z",
            "secondaryPhoneNumber": "9837394813",
            "googleId": "117611759572269030023",
            "appleId": "001350.26cfd198350448cb85e031480f577e67.0844",
            "signUpOriginUrl": "https://mock-client-demo-blog-v2-sandbox.netlify.app/politics"
        }
    ],
    "pageNumber": "1",
    "pageSize": "500",
    "countDocuments": 1
}
 
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/version-2.0/integrating-apis-v2/get-user-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
